## acstore 20240407

=== requirements.txt ===
PyYAML >= 3.10

## acstore 0~20240407

=== debian/changelog ===
acstore (0~20240407-3) unstable; urgency=medium

  * Fix Section

 -- Hilko Bengen <bengen@debian.org>  Fri, 07 Feb 2025 08:16:50 +0100

acstore (0~20240407-2) unstable; urgency=medium

  * source-only re-upload

 -- Hilko Bengen <bengen@debian.org>  Fri, 24 Jan 2025 00:52:27 +0100

acstore (0~20240407-1) unstable; urgency=medium

  * Initial release. (Closes: #1093050)

 -- Hilko Bengen <bengen@debian.org>  Fri, 24 Jan 2025 00:52:24 +0100

=== debian/control ===
Source: acstore
Section: python
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Hilko Bengen <bengen@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 python3-sphinx, python3-recommonmark, python3-sphinx-markdown-tables, python3-sphinx-rtd-theme,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.2
Homepage: https://github.com/log2timeline/acstore
Vcs-Browser: https://salsa.debian.org/pkg-security-team/acstore
Vcs-Git: https://salsa.debian.org/pkg-security-team/acstore.git

Package: python3-acstore
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Suggests:
 python-acstore-doc,
Description: Attribute Container store access library (Python 3)
 ACStore, or Attribute Container Storage, provides a stand-alone
 implementation to read and write Attribute Container stores, such as
 Plaso storage files.
 .
 This package installs the library for Python 3.

Package: python-acstore-doc
Section: doc
Architecture: all
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
Description: Attribute Container store access library (common documentation)
 ACStore, or Attribute Container Storage, provides a stand-alone
 implementation to read and write Attribute Container stores, such as
 Plaso storage files.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=acstore

%:
	dh $@ --buildsystem=pybuild --with sphinxdoc


# If you need to rebuild the Sphinx documentation:
# Add sphinxdoc to the dh --with line.
#
# And uncomment the following lines.
execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	PYTHONPATH=. python3 -m sphinx -N -bhtml \
	docs/ build/html # HTML generator

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/log2timeline/acstore/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## acstore 20240407

=== debian/changelog ===
acstore (20240407-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 18 Jun 2024 09:27:25 +0200

=== debian/control ===
Source: acstore
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 pybuild-plugin-pyproject,
 python3-recommonmark,
 python3-sphinx,
 python3-sphinx-markdown-tables,
 python3-sphinx-rtd-theme
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.0
Homepage: https://github.com/log2timeline/acstore
Vcs-Browser: https://gitlab.com/kalilinux/packages/acstore
Vcs-Git: https://gitlab.com/kalilinux/packages/acstore.git

Package: python3-acstore
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Suggests:
 python-acstore-doc,
Description: implementation to read and write Attribute Container stores (Python 3)
 ACStore, or Attribute Container Storage, provides a stand-alone implementation
 to read and write Attribute Container stores, such as Plaso storage files.
 .
 This package installs the library for Python 3.

Package: python-acstore-doc
Section: doc
Architecture: all
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
Description: implementation to read and write Attribute Container stores (common documentation)
 ACStore, or Attribute Container Storage, provides a stand-alone implementation
 to read and write Attribute Container stores, such as Plaso storage files.
 .
 This is the common documentation package.

=== debian/rules ===
--- 
+++ 
@@ -7,13 +7,9 @@
 export PYBUILD_NAME=acstore
 
 %:
-	dh $@ --buildsystem=pybuild --with sphinxdoc
+	dh $@ --buildsystem=pybuild
 
 
-# If you need to rebuild the Sphinx documentation:
-# Add sphinxdoc to the dh --with line.
-#
-# And uncomment the following lines.
 execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
 execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
 execute_after_dh_auto_build-indep:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/log2timeline/acstore/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
